Bug 169722 - Review Request: libsexy: Funky fresh graphical widgets for GTK+ 2
Summary: Review Request: libsexy: Funky fresh graphical widgets for GTK+ 2
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Grau
QA Contact: David Lawrence
URL: http://www.chipx86.com/blog/archives/...
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-10-02 03:35 UTC by Ignacio Vazquez-Abrams
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-15 00:13:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ignacio Vazquez-Abrams 2005-10-02 03:35:01 UTC
Spec Name or Url: http://fedora.ivazquez.net/files/extras/libsexy.spec
SRPM Name or Url: http://fedora.ivazquez.net/files/extras/libsexy-0.1.1-1.src.rpm
Description: Some graphical widgets for GTK+ 2.

Comment 1 Chris Grau 2005-10-13 02:03:41 UTC
$ rpmlint libsexy-0.1.1-1.i386.rpm
E: libsexy library-without-ldconfig-postin /usr/lib/libsexy.so.0.0.0
E: libsexy library-without-ldconfig-postun /usr/lib/libsexy.so.0.0.0

Based on the PackageReviewGuidelines, I assume this really is an error. 
However, without any changes to the spec, I was able to build and run a small
demo app using the SexyUrlLabel.  Still, it's a MUST, so I'm pointing it out.

Good:

- package name good, spec file name good
- license is LGPL, matches upstream
  - based on the new package guidelines, you can (should?) remove the extra
COPYING.LIB
- spec file is legible, written in am. english
- source matches upstream
- builds cleanly in mock (FC-3 i386)
- built and tested successfully (FC-4 i386)
- files and directories okay
- -devel subpackage good

Nitpicks:

I think the summary and description are too vague and boring for a package with
the name "libsexy."


Comment 2 Ignacio Vazquez-Abrams 2005-10-13 05:59:59 UTC
(In reply to comment #1)
> Nitpicks:
> 
> I think the summary and description are too vague and boring for a package with
> the name "libsexy."

Yeesh. Everyone's a critic.

Updated.

Comment 3 Linus Walleij 2005-10-13 06:39:41 UTC
We had this discussion some time ago, regarding .pc files, that if,
as libsexy does:

Cflags: -I${includedir}

This means that if libsexy installs /usr/include/libsexy/foo.h you can
use the pkg-config flags to get

#include <foo.h>

to work, but this is questionable design, because if you're writing a
whole new library, it is better to remove the -I statement and rely on
all code using libsexy to do:

#include <libsexy/foo.h>

instead. If the library is already used in lots of software it is of
course not so good to do this change to upstream, otherwise it is good
to get upstream to remove the -I statement from the .pc file.

Comment 4 Ignacio Vazquez-Abrams 2005-10-13 06:49:55 UTC
From libsexy.pc:

includedir=${prefix}/include

And it installs into /usr/include/libsexy, so all your concern is for naught.

Comment 5 Chris Grau 2005-10-13 16:09:33 UTC
Rpmlint is happy.  I'm happy.  Approved.


Comment 6 Ignacio Vazquez-Abrams 2005-10-15 00:13:59 UTC
Build on FC4 and devel.


Note You need to log in before you can comment on or make changes to this bug.